Description

Hi,

While trying to build a new machine on vcenter, using a nvds (NSX-T 2.5) port group, it fails with

"Could not find virtual machine network interface matching ... "

Turning on debugging, this is what the nic data structure looks like:

2020-02-03T22:37:34 [D|app|c3455bb4] Orchestration::Compute: Trying to match network interfaces from fog
<Fog::Vsphere::Compute::Interfaces

server_id="50012b3f-4037-f359-4a90-3b98047{61f5"

[
<Fog::Vsphere::Compute::Interface

mac="00:50:56:81:b8:54",

network=nil,

name="Network adapter 1",

status="untried",

connected=false,

summary="nsx.LogicalSwitch: 048e792e-ed9e-48d9-8568-ba40f2eb0d7d",
type=RbVmomi::VIM::VirtualE1000,

key=4000,

virtualswitch=nil,

server_id="50012b3f-4037-f359-4a90-3b98047f61f5"

>

]

>

| assume the issue is that the value for network is nil instead of dvportgroup-xxx

History

#1 - 02/09/2020 06:09 AM - Rob See

- Category set to Compute resources - VMware

This looks to be caused by fog-vsphere not setting "network" correctly in def raw_to_hash(nic) file: list_vm_interfaces.rb

#2 - 02/21/2020 10:12 AM - Eric S6derman
| think this PR will fix this: https://github.com/fog/fog-vsphere/pull/246

#3 - 03/19/2020 06:27 AM - Koen Torfs
Pull request ongoing https:/github.com/fog/fog-vsphere/pull/249

#4 - 03/26/2020 02:39 PM - treyormsbee-interop please_edit_me

Im having the same issue, looks like that PR was merged. Is there an easy way to integrate that into 1.24.2 that | already installed?

Edit: looks like it is as simple as overwriting the lib directory, at least that lets me keep working for now.

05/12/2024

1/2



https://github.com/fog/fog-vsphere/pull/246
https://github.com/fog/fog-vsphere/pull/249

#5 - 01/10/2021 08:55 AM - Tomer Brisker

- Status changed from New to Resolved

Looks like this was resolved in fog-vsphere 3.3 which is available in Foreman 2.0 and newer.
